#pragma once //__SEMESTERAUFGABE_STRING_H__

#include <iostream>

class string {
    public:
        explicit string (const char* = "\0");

        string (const string&);

        ~string ();

        friend std::ostream& operator<< (std::ostream&, const string&);

        friend std::istream& operator>> (std::istream&, string&);

        string& operator= (const string&);

        bool operator< (const string&) const;
    private:
        static unsigned calcSize (const char*);

        char* m_cpString;
};